let is_snapshot = true
let version = "2.3.0"
let version_len = String.length version
let parsed_sha = String.trim ""
let parsed_sha_len = String.length parsed_sha
let dune_sha_len = 7
let git_sha = match is_snapshot, parsed_sha with 
  | false, _ | _, "" -> None
  | _, _ when dune_sha_len <= version_len && dune_sha_len <= parsed_sha_len && String.sub parsed_sha 0 dune_sha_len = String.sub version (version_len - dune_sha_len) dune_sha_len -> None
  |  _, s -> Some s
let git_sha = match Sys.getenv_opt "LIQ_GIT_SHA" with None -> git_sha | Some v -> Some v 
let version = version ^ (if not is_snapshot then "" else (match git_sha with None -> "+dev" | Some sha -> "+git@" ^ sha))
let version = match Sys.getenv_opt "LIQ_VERSION" with None -> version | Some v -> v 
let ext_exe = ""
let architecture = "s390x"
let host = "s390x-ibm-linux-gnu"
let target = "s390x-ibm-linux-gnu"
let system = "linux"
let ocamlopt_cflags = "-O2 -fno-strict-aliasing -fwrapv -pthread -fPIC -g -O2 -Werror=implicit-function-declaration -fstack-protector-strong -Wformat -Werror=format-security -pthread"
let native_c_compiler = "s390x-linux-gnu-gcc -O2 -fno-strict-aliasing -fwrapv -pthread -fPIC -g -O2 -Werror=implicit-function-declaration -fstack-protector-strong -Wformat -Werror=format-security -pthread -D_FILE_OFFSET_BITS=64 -Wdate-time -D_FORTIFY_SOURCE=2"
let native_c_libraries = "-lm -lpthread"
